#!/bin/sh

###########################################
echo "************************************"
echo "** Setup (Patch) der NTP Funktion **"
echo "************************************"
echo

###########################################
chk1="1.0.1~"
chk2="0.9.1~"
curr_release=`cat /lib/gluon/release`

if [ "`echo $curr_release | grep $chk1`" ] || [ "`echo $curr_release | grep $chk2`" ]
then

###########################################
  echo -n "--> passe Time Server Liste an..."
###########################################
  uci del system.ntp.server

#  echo -n "." ; uci add_list system.ntp.server='time1.service.ffhal'
#  echo -n "." ; uci add_list system.ntp.server='time2.service.ffhal'
  echo -n "." ; uci add_list system.ntp.server='fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a'
  echo -n "." ; uci add_list system.ntp.server='131.188.3.220'
  echo -n "." ; uci add_list system.ntp.server='131.188.3.221'
  echo -n "." ; uci add_list system.ntp.server='131.188.3.222'
  echo -n "." ; uci add_list system.ntp.server='192.53.103.108'
#               uci add_list system.ntp.server='fd0f:8db3:d50a::219:99ff:fefc:6c96'
uci commit
  echo " OK"

###########################################
  echo -n "--> installiere Cronjob..."
###########################################
  cp -f /tmp/store/ntp-caller.sh  /usr/libexec
  chmod 755 /usr/libexec/ntp-caller.sh
  cp -f /tmp/store/ntp-caller     /usr/lib/micron.d
  chmod 644 /usr/lib/micron.d/ntp-caller

  echo -n "."
  if [ $(pidof micrond) ]
  then
   /etc/init.d/micrond restart
   echo -n "."
   sleep 4
  fi
  echo "........... OK"

###########################################
  echo -n "--> installiere Autostart..."
###########################################
  cat /etc/rc.local | grep -v 'exit' | grep -v 'ntp' >/tmp/rc.local
  echo "/usr/sbin/ntpd -q -p fd0f:8db3:d50a:0:208:a1ff:fe25:cf0a" >>/tmp/rc.local
  echo                                                            >>/tmp/rc.local
  echo "exit 0"                                                   >>/tmp/rc.local

  cp /tmp/rc.local /etc/rc.local

  echo -n "."
#  sleep 4
  if [ $(pidof fastd) ]
  then
    /etc/init.d/system restart
    echo -n "."
    sleep 4
#  fi
#  if [ $(pidof fastd) ]
#  then
   /etc/init.d/fastd  restart
   echo -n "."
   sleep 4
  fi
  echo ".......... OK"

  /usr/libexec/ntp-caller.sh
###########################################
  echo
  echo "Setup abgeschlossen!"
###########################################
else
 echo "Diese Anpassung ist fuer diese Firmware ($curr_release) unnoetig!"
fi
echo
